Subject: bug#30370: guix system init can't find guix-register

From: [email-masked] (Ludovic Courtès)
Date: Fri, 09 Feb 2018 11:55:16 +0100

Hi,

Diego Nicola Barbato <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Hello,
>>
>> Diego Nicola Barbato <[email-masked]> skribis:
>>
>>> Betriebssystem unter »/mnt« wird initialisiert …
>>> In execvp of /gnu/store/d4wwx93gqizx132zjk7h1ir7rzph0pig-guix-0.12.0-10.ba2260d/sbin/guix-register: Datei oder Verzeichnis nicht gefunden
>>> guix system: error: failed to register '/gnu/store/2g4dzfcs6nf906d7jl6q225llmnv7krl-linux-libre-4.15' under '/mnt'
>>> copying to '/mnt'...
>>>
>>> It does not matter that it is a loopback device.  The same thing happens
>>> if I try to install it on a USB flash drive.
>>> The issue seems to be that there is no
>>> d4wwx93gqizx132zjk7h1ir7rzph0pig-guix-0.12.0-10.ba2260d/
>>> in my store.  All I could find was this:
>>> 80k8kz7qk9palbn0ccw7y3fgym8jxlps-guix-0.12.0-10.ba2260d/
>>
>> Could you try to figure out where that
>> d4wwx93gqizx132zjk7h1ir7rzph0pig-guix-0.12.0-10.ba2260d comes from?
>
> I could not figure out where this comes from.  As I mentioned it is not
> in my store, yet (only) "guix system init" seems to look for it.

I mean, can you run something like:

  grep -r d4wwx93gqizx132zjk7h1ir7rzph0pig \
    $(dirname $(dirname $(readlink -f $(type -P guix))))

?

TIA,
Ludo’.